﻿using ExcelDna.Integration;

namespace TestLibrary;

/// <summary>
/// 커스텀 함수
/// </summary>
public static class CustomFunction
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region OLLAMA 질문하기 - AskOllama(question)

    /// <summary>
    /// OLLAMA 질문하기
    /// </summary>
    /// <param name="question">질문</param>
    /// <returns>답변</returns>
    [ExcelFunction(Description = "Ollama에게 질문을 합니다.")]
    public static string AskOllama(string question)
    {
        OllamaClient ollamaClient = new OllamaClient();

        string answer = ollamaClient.Ask(question);

        return answer;
    }

    #endregion
}